<!DOCTYPE html>
<head>
  <title>IngSoc - Settings</title>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />

  <!-- Latest compiled and minified CSS -->
  <link
    href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
    rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
    crossorigin="anonymous"
  />
  <link
    rel="stylesheet"
    href="https://unpkg.com/bootstrap-table@1.19.1/dist/bootstrap-table.min.css"
  />
  <link
    rel="stylesheet"
    href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.1/font/bootstrap-icons.css"
  />

  <link rel="stylesheet" href="/css/styles.css" />
</head>

<body>
  <div class="offcanvas offcanvas-end" id="demo">
    <div class="offcanvas-header">
      <h1 class="offcanvas-title">Menu</h1>
      <button
        type="button"
        class="btn-close text-reset"
        data-bs-dismiss="offcanvas"
      ></button>
    </div>
    <div class="offcanvas-body">
      <div class="d-grid">
        <button
          class="btn btn-light bi-house-door-fill btn-lg"
          type="button"
          onclick="window.location.href='index.html';"
        >
          Main
        </button>
      </div>

      <div class="d-grid">
        <button
          class="btn btn-light bi-list-columns-reverse btn-lg"
          type="button"
          onclick="window.location.href='history.html';"
        >
          History
        </button>
      </div>
      <div class="d-grid">
        <button
          class="btn btn-light bi-gear-fill btn-lg"
          type="button"
          onclick="window.location.href='settings.html';"
          disabled
        >
          Settings
        </button>
      </div>
    </div>
  </div>
  <div class="container-fluid p-3 bg-primary text-center text-white">
    <div class="row">
      <div class="col" id="date"></div>
      <div class="col">
        <h1>IngSoc</h1>
      </div>
      <div class="col">
        <button
          class="btn bi-list btn-lg float-end bg-primary text-white"
          type="button"
          data-bs-toggle="offcanvas"
          data-bs-target="#demo"
          id="menubutton"
          formaction="settings.html"
        ></button>
      </div>
    </div>
  </div>
  <div class="row pt-3">
    <div class="col px-3">
      <h1>Email adresses:</h1>
      <table
        id="addressTable"
        data-toggle="table"
        data-url="/getAddresses"
        data-buttons="removeAddress"
        data-click-to-select="true"
      >
        <thead>
          <tr>
            <th data-checkbox="true">Remove</th>
            <th data-field="address" data-align="right">Addresses</th>
          </tr>
        </thead>
      </table>

      <label for="emailInput">Enter e-mail address</label>
      <input type="email" id="emailInput" />
      <button type="button" class="btn" , id="submitEmail">Add</button>
      <div id="emailStatus"></div>
    </div>
    <div class="col mx-3">
      <h1>Greetingsound:</h1>

      <table
        id="soundTable"
        data-toggle="table"
        data-click-to-select="true"
        data-url="/soundList"
        data-buttons="removeSound"
      >
        <thead>
          <tr>
            <th data-field="state" data-radio="true"></th>
            <th data-field="fileName">Filename</th>
          </tr>
        </thead>
      </table>
      <form enctype="multipart/form-data" name="newSound">
        <input
          type="file"
          id="newSound"
          multiple="false"
          accept=".wav"
          name="soundUpload"
        />
        <button class="btn btn-primary" id="startRec">Start Recording</button>
        <button class="btn btn-primary" id="endRec">Stop Recording</button>
      </form>
      <div id="soundStatus"></div>
    </div>
  </div>
  <div class="row pt-3">
    <div class="col mx-3">
      <label for="timeInput">Time to open the door (1-300s): </label>
      <input type="number" max="300" id="timeInput" />
      <button type="button" id="submitTime" class="btn">Submit</button>
      <div id="timeStatus"></div>
    </div>
    <div class="col mx-3"></div>
  </div>
  <!--TODO Setting time to open door-->
  <div class="popup">
    <span class="helper"></span>
    <div class="container">
      <div class="popupCloseButton">&times;</div>
      <h1>New visitor:</h1>
      <div id="img"></div>
    </div>
  </div>
  <div
    class="container-fluid p-2 bg-primary text-center text-white fixed-bottom"
  >
    ©IngSoc, Version: 0.9
  </div>

  <script src="https://cdn.jsdelivr.net/npm/jquery/dist/jquery.min.js"></script>
  <script
    src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"
  ></script>
  <script src="https://unpkg.com/bootstrap-table@1.19.1/dist/bootstrap-table.min.js"></script>
  <script src="/js/settings.js"></script>
</body>
